<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">tokenizer_kernel_1</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::tokenizer_kernel_1 Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>body</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bodyset</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>CHAR</b> enum value (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>END_OF_FILE</b> enum value (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>END_OF_LINE</b> enum value (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_identifier_body</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_identifier_head</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_stream</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_token</b>(int &amp;type, std::string &amp;token) (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>have_peeked</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>head</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>headset</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>IDENTIFIER</b> enum value (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>in</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>lowercase_letters</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>next_token</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>next_type</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>NUMBER</b> enum value (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>numbers</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const tokenizer_kernel_1 &amp;) (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>peek_token</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>peek_type</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_identifier_token</b>(const std::string &amp;head, const std::string &amp;body) (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_stream</b>(std::istream &amp;in) (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html#aa3fada472562332afb06699de0d8185b">some_random_name</a> enum name</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>stream_is_set</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>streambuf</b> (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>swap</b>(tokenizer_kernel_1 &amp;item) (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>tokenizer_kernel_1</b>() (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>tokenizer_kernel_1</b>(const tokenizer_kernel_1 &amp;) (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>uppercase_letters</b>() const (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>WHITE_SPACE</b> enum value (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~tokenizer_kernel_1</b>() (defined in <a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a>)</td><td class="entry"><a class="el" href="classdlib_1_1tokenizer__kernel__1.html">dlib::tokenizer_kernel_1</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
